import Reference from './reference';
import { Uint32AnimationReference, Vector3AnimationReference, Vector4AnimationReference } from './animationreference';
/**
 * A bone.
 */
export default class Bone {
    constructor() {
        this.version = -1;
        this.unknown0 = 0;
        this.name = new Reference();
        this.flags = 0;
        this.parent = -1;
        this.unknown1 = 0;
        this.location = new Vector3AnimationReference();
        this.rotation = new Vector4AnimationReference();
        this.scale = new Vector3AnimationReference();
        this.visibility = new Uint32AnimationReference();
    }
    load(stream, version, index) {
        this.version = version;
        this.unknown0 = stream.readInt32();
        this.name.load(stream, index);
        this.flags = stream.readUint32();
        this.parent = stream.readInt16();
        this.unknown1 = stream.readUint16();
        this.location.load(stream);
        this.rotation.load(stream);
        this.scale.load(stream);
        this.visibility.load(stream);
    }
}
//# sourceMappingURL=bone.js.map