import Reference from './reference';
import { Float32AnimationReference } from './animationreference';
/**
 * A camera.
 */
export default class Camera {
    constructor() {
        this.version = -1;
        this.bone = -1;
        this.name = new Reference();
        this.fieldOfView = new Float32AnimationReference();
        this.unknown0 = 0;
        this.farClip = new Float32AnimationReference();
        this.nearClip = new Float32AnimationReference();
        this.clip2 = new Float32AnimationReference();
        this.focalDepth = new Float32AnimationReference();
        this.falloffStart = new Float32AnimationReference();
        this.falloffEnd = new Float32AnimationReference();
        this.depthOfField = new Float32AnimationReference();
    }
    load(stream, version, index) {
        this.version = version;
        this.bone = stream.readUint32();
        this.name.load(stream, index);
        this.fieldOfView.load(stream);
        this.unknown0 = stream.readUint32();
        this.farClip.load(stream);
        this.nearClip.load(stream);
        this.clip2.load(stream);
        this.focalDepth.load(stream);
        this.falloffStart.load(stream);
        this.falloffEnd.load(stream);
        this.depthOfField.load(stream);
    }
}
//# sourceMappingURL=camera.js.map