import TgaLoader from 'tga-js';
import { bytesOf } from '../../common/bytesof';
/**
 * A TGA image.
 */
export default class TgaImage {
    constructor() {
        this.width = 0;
        this.height = 0;
        this.data = null;
    }
    load(buffer) {
        const bytes = bytesOf(buffer);
        const tga = new TgaLoader();
        tga.load(bytes);
        const header = tga.header;
        this.width = header.width;
        this.height = header.height;
        this.data = new ImageData(header.width, header.height);
        tga.getImageData(this.data);
    }
}
//# sourceMappingURL=image.js.map