import RandomItem from './randomitem';
/**
 * A random item set.
 */
export default class RandomItemSet {
    constructor() {
        this.items = [];
    }
    load(stream) {
        for (let i = 0, l = stream.readUint32(); i < l; i++) {
            const item = new RandomItem();
            item.load(stream);
            this.items.push(item);
        }
    }
    save(stream) {
        stream.writeUint32(this.items.length);
        for (const item of this.items) {
            item.save(stream);
        }
    }
    getByteLength() {
        return 4 + this.items.length * 8;
    }
}
//# sourceMappingURL=randomitemset.js.map