import { byteLengthUtf8 } from '../../../common/utf8';
/**
 * A player.
 */
export default class Player {
    constructor() {
        this.id = 0;
        this.type = 0;
        this.race = 0;
        this.isFixedStartPosition = 0;
        this.name = '';
        this.startLocation = new Float32Array(2);
        this.allyLowPriorities = 0;
        this.allyHighPriorities = 0;
        this.unknown1 = new Uint8Array(8);
    }
    load(stream, version) {
        this.id = stream.readInt32();
        this.type = stream.readInt32();
        this.race = stream.readInt32();
        this.isFixedStartPosition = stream.readInt32();
        this.name = stream.readNull();
        stream.readFloat32Array(this.startLocation);
        this.allyLowPriorities = stream.readUint32();
        this.allyHighPriorities = stream.readUint32();
        if (version > 30) {
            stream.readUint8Array(this.unknown1);
        }
    }
    save(stream, version) {
        stream.writeInt32(this.id);
        stream.writeInt32(this.type);
        stream.writeInt32(this.race);
        stream.writeInt32(this.isFixedStartPosition);
        stream.writeNull(this.name);
        stream.writeFloat32Array(this.startLocation);
        stream.writeUint32(this.allyLowPriorities);
        stream.writeUint32(this.allyHighPriorities);
        if (version > 30) {
            stream.writeUint8Array(this.unknown1);
        }
    }
    getByteLength(version) {
        return (version > 30 ? 41 : 33) + byteLengthUtf8(this.name);
    }
}
//# sourceMappingURL=player.js.map