import GenericObject from './genericobject';
/**
 * An MDX attachment.
 */
export default class Attachment extends GenericObject {
    constructor(model, attachment, index) {
        super(model, attachment, index);
        this.internalModel = null;
        const path = attachment.path.replace(/\\/g, '/').toLowerCase().replace('.mdl', '.mdx');
        this.path = path;
        this.attachmentId = attachment.attachmentId;
        // Second condition is against custom resources using arbitrary paths...
        if (path !== '' && path.indexOf('.mdx') != -1) {
            const promise = model.viewer.load(path, model.pathSolver, model.solverParams);
            promise.then((model) => {
                if (model) {
                    this.internalModel = model;
                }
            });
            model.blockers.push(promise);
        }
    }
    getVisibility(out, sequence, frame, counter) {
        return this.getScalarValue(out, 'KATV', sequence, frame, counter, 1);
    }
}
//# sourceMappingURL=attachment.js.map