import MdxEmitter from './emitter';
const valueHeap = new Uint32Array(1);
/**
 * The abstract base MDX event object emitter.
 */
export default class EventObjectEmitter extends MdxEmitter {
    constructor() {
        super(...arguments);
        this.lastValue = 0;
    }
    updateEmission(dt) {
        const instance = this.instance;
        if (instance.allowParticleSpawn) {
            const emitterObject = this.emitterObject;
            emitterObject.getValue(valueHeap, instance);
            const value = valueHeap[0];
            if (value === 1 && value !== this.lastValue) {
                this.currentEmission += 1;
            }
            this.lastValue = value;
        }
    }
    emit() {
        this.emitObject();
    }
}
//# sourceMappingURL=eventobjectemitter.js.map