import { vec3 } from 'gl-matrix';
import AnimatedObject from './animatedobject';
/**
 * A geoset animation.
 */
export default class GeosetAnimation extends AnimatedObject {
    constructor(model, geosetAnimation) {
        super(model, geosetAnimation);
        const color = geosetAnimation.color;
        this.alpha = geosetAnimation.alpha;
        this.color = vec3.fromValues(color[2], color[1], color[0]); // Stored as RGB, but animated colors are stored as BGR, so sizzle.
        this.geosetId = geosetAnimation.geosetId;
        this.addVariants('KGAO', 'alpha');
        this.addVariants('KGAC', 'color');
    }
    getAlpha(out, sequence, frame, counter) {
        return this.getScalarValue(out, 'KGAO', sequence, frame, counter, this.alpha);
    }
    getColor(out, sequence, frame, counter) {
        return this.getVectorValue(out, 'KGAC', sequence, frame, counter, this.color);
    }
}
//# sourceMappingURL=geosetanimation.js.map