import { VEC3_ZERO, VEC3_ONE, QUAT_DEFAULT } from '../../../common/gl-matrix-addon';
import AnimatedObject from './animatedobject';
/**
 * An MDX texture animation.
 */
export default class TextureAnimation extends AnimatedObject {
    constructor(model, textureAnimation) {
        super(model, textureAnimation);
        this.addVariants('KTAT', 'translation');
        this.addVariants('KTAR', 'rotation');
        this.addVariants('KTAS', 'scale');
    }
    getTranslation(out, sequence, frame, counter) {
        return this.getVectorValue(out, 'KTAT', sequence, frame, counter, VEC3_ZERO);
    }
    getRotation(out, sequence, frame, counter) {
        return this.getQuatValue(out, 'KTAR', sequence, frame, counter, QUAT_DEFAULT);
    }
    getScale(out, sequence, frame, counter) {
        return this.getVectorValue(out, 'KTAS', sequence, frame, counter, VEC3_ONE);
    }
}
//# sourceMappingURL=textureanimation.js.map