import { vec3, quat } from 'gl-matrix';
import { VEC3_UNIT_Z } from '../../../common/gl-matrix-addon';
import { Widget } from './widget';
const heapZ = vec3.create();
/**
 * A unit.
 */
export default class Unit extends Widget {
    constructor(map, model, row, unit) {
        super(map, model);
        const instance = this.instance;
        instance.move(unit.location);
        instance.rotateLocal(quat.setAxisAngle(quat.create(), VEC3_UNIT_Z, unit.angle));
        instance.scale(unit.scale);
        instance.setTeamColor(unit.player);
        instance.setScene(map.worldScene);
        if (row) {
            heapZ[2] = row['moveHeight'];
            instance.move(heapZ);
            instance.setVertexColor([row['red'] / 255, row['green'] / 255, row['blue'] / 255, 1]);
            instance.uniformScale(row['modelScale']);
        }
        this.instance = instance;
        this.row = row;
    }
}
//# sourceMappingURL=unit.js.map