import randomStandSequence from './standsequence';
export var WidgetState;
(function (WidgetState) {
    WidgetState[WidgetState["IDLE"] = 0] = "IDLE";
    WidgetState[WidgetState["WALK"] = 1] = "WALK";
})(WidgetState || (WidgetState = {}));
/**
 * A widget.
 */
export class Widget {
    constructor(map, model) {
        this.state = WidgetState.IDLE;
        this.instance = model.addInstance();
        this.instance.setScene(map.worldScene);
    }
    update() {
        if (this.instance.sequenceEnded || this.instance.sequence === -1) {
            if (this.state === WidgetState.IDLE) {
                randomStandSequence(this.instance);
            }
        }
    }
}
//# sourceMappingURL=widget.js.map